Summary:	IO-stringy - I/O on in-core objects like strings and arrays
Name:		perl-IO-stringy
Version:	1.220
License:	GPL
Release:	1.intergenia
Group:		Applications/CPAN
Source0:	http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/IO-stringy-1.220.tar.gz
Url:		http://search.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires:	perl >= 5.6
Requires:	perl >= 5.6
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
IO-stringy - I/O on in-core objects like strings and arrays.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n IO-stringy-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-,root,root)

%changelog
* Sun Nov 21 2004 Maik Broemme <mbroemme@intergenia.de> 1.220-1.intergenia
- initial build for Fedora Core 3
